Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025387
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-12-20 12:392015-11-13 08:35
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revisionec5f0f762fb1
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-09-19
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/06606d1fa59dc0e973c2033683e7e041672227f7 [^]
Triggers an Emergency PackNo
Summary

0025387: unneeded flushes in view generation

DescriptionUnnecessary DAL flushes in view js generation makes it slow, specially for ones with many tabs.

This affects time taken in opening a window first time on each browser.
Steps To ReproduceOpen Sales Order window and see how long it takes to generate the view
Proposed SolutionRemove unneeded flushes
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024705 closeddbaz Openbravo ERP The windows takes long to be loaed when there are a lot of tabs and a lot of columns on the grid. 
related to defect 00246383.0MP28 closedshankarb Openbravo ERP An error appears when using a field in the tab display logic which is present in the header and also in the tab 
related to defect 00249513.0MP29 closedAugustoMauch Openbravo ERP Small problem with tab display logic and datasources 
related to defect 0028477 closedalostale Openbravo ERP view generation: unneeded queries to trl tables 
related to defect 0025939 closedjonalegriaesarte Modules Unneeded flushes in book lines generation are causing bad performance 
related to feature request 0025941 newAugustoMauch Openbravo ERP Check if the new connections created could be opened without autoflush 

-  Notes
(0062968)
alostale (developer)
2013-12-20 12:43
edited on: 2013-12-20 12:57

Problem introduced in fixes for 0024638 and 0024951

Starting from mp28

(0062969)
alostale (developer)
2013-12-20 12:53
edited on: 2013-12-20 12:58

Executed test cases:


Executed openAllViews.jmx and openBiggestViews.jmx JMeter test cases in https://bitbucket.org/alostale/ob-jmeter [^]

-test the output for openAllViews is the same after and before the fix (there are some changes in field position which seems not to be stable)
-verified no additional flushes are invoked during view generation

Performance improvements (more details can be found here https://docs.google.com/a/openbravo.com/spreadsheet/ccc?key=0AmPGxKaZaJn-dDlERFlsRG5saHBQX2JmdnNkeEN4d2c#gid=0 [^]):

*Avg time to generate view (generating all): 923ms -> 540ms (takes 41% less)
*Avg time to generate view (generating the 20 with biggest number of tabs): 4708ms -> 2055ms (takes 56% less)
*Max time to generate a single view: 14741ms -> 4852ms (takes 67% less)

(0062971)
hgbot (developer)
2013-12-20 13:02

Repository: erp/devel/pi
Changeset: b017f9af7a2e0054eecdb910eed3abad330d92a3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 20 13:00:34 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b017f9af7a2e0054eecdb910eed3abad330d92a3 [^]

related to issue 25387: reformat

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
---
(0062972)
hgbot (developer)
2013-12-20 13:02

Repository: erp/devel/pi
Changeset: ec5f0f762fb19fb6ce0f6b6e19a78ca8a75b5d35
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 20 13:01:30 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ec5f0f762fb19fb6ce0f6b6e19a78ca8a75b5d35 [^]

fixed bug 25387: unneeded flushes in view generation

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
---
(0063030)
AugustoMauch (developer)
2013-12-20 15:58

Code reviewed and verified in pi@ec5f0f762fb1
(0063039)
hudsonbot (developer)
2013-12-21 01:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/998ed2598cb6 [^]

Maturity status: Test
(0063040)
hudsonbot (developer)
2013-12-21 01:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/998ed2598cb6 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-20 12:39 alostale New Issue
2013-12-20 12:39 alostale Assigned To => alostale
2013-12-20 12:39 alostale Modules => Core
2013-12-20 12:39 alostale Triggers an Emergency Pack => No
2013-12-20 12:39 alostale Relationship added related to 0024705
2013-12-20 12:39 alostale Tag Attached: Performance
2013-12-20 12:42 alostale Relationship added related to 0024638
2013-12-20 12:42 alostale Relationship added related to 0024951
2013-12-20 12:43 alostale Note Added: 0062968
2013-12-20 12:53 alostale Note Added: 0062969
2013-12-20 12:55 alostale Regression level => Production - Confirmed Stable
2013-12-20 12:55 alostale Priority normal => immediate
2013-12-20 12:56 alostale Regression date => 2013-09-19
2013-12-20 12:56 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/06606d1fa59dc0e973c2033683e7e041672227f7 [^]
2013-12-20 12:57 alostale Note Edited: 0062968 View Revisions
2013-12-20 12:58 alostale Note Edited: 0062969 View Revisions
2013-12-20 13:02 alostale Review Assigned To => AugustoMauch
2013-12-20 13:02 hgbot Checkin
2013-12-20 13:02 hgbot Note Added: 0062971
2013-12-20 13:02 hgbot Checkin
2013-12-20 13:02 hgbot Note Added: 0062972
2013-12-20 13:02 hgbot Status new => resolved
2013-12-20 13:02 hgbot Resolution open => fixed
2013-12-20 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ec5f0f762fb19fb6ce0f6b6e19a78ca8a75b5d35 [^]
2013-12-20 15:58 AugustoMauch Note Added: 0063030
2013-12-20 15:58 AugustoMauch Status resolved => closed
2013-12-20 15:58 AugustoMauch Fixed in Version => 3.0MP31
2013-12-21 01:39 hudsonbot Checkin
2013-12-21 01:39 hudsonbot Note Added: 0063039
2013-12-21 01:39 hudsonbot Checkin
2013-12-21 01:39 hudsonbot Note Added: 0063040
2014-03-10 16:03 caristu Relationship added related to 0025939
2014-03-10 17:07 egoitz Relationship added related to 0025941
2015-11-13 08:35 alostale Relationship added related to 0028477


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker